{% from "components/file_card.html.j2" import datafile_card, schema_card %}
{% from "components/sticky_divider.html.j2" import sticky_divider %}
{% from "components/heading.html.j2" import title_heading, heading %}

{% from "components/card.html.j2" import card %}
{% from "components/field_card.html.j2" import field_card %}
{% from "components/plot_div.html.j2" import plot_div %}

{% extends "partials/layout.html.j2" %}

{% block content %}

{{ super() }}
{% set relative_path_to_root = relative_path_to_root %}
<div id="content">
    <div id="file-metadata">
        {{ heading("File Metadata for "~file_path) }}
        {{ datafile_card(metadata, 0, false) }}
    </div>
    <div id="file-overview">
        {{ heading("File Overview for "~file_path) }}
        <div class="card m-2 m-md-5 shadow">
            <div class="card-header text-center">
                <h4 class="card-title mb-0">Missingness</h4>
            </div>
            <div class="card-body">
                {% if missingness_plot %}
                <p class="card-text">
                    The missingness plot shows the proportion of missing values for each field in
                    the file. Fields with a high proportion of missing values may be less useful
                    for analysis. This plot may additionally help identify patterns in missingness
                    across fields.
                </p>
                {{ plot_div(missingness_plot, "missingness-plot", no_plot_message="No plot available for this file.") }}
                {% else %}
                <p class="card-text">No Missing data identified in this file.</p>
                {% endif %}
            </div>
        </div>

        <div class="row">
            {% for correlation_plot in correlation_plots %}
            <div class="col-12 col-md-6">
            {{
                card(
                    title="Correlations",
                    content=plot_div(correlation_plot,
                    "correlation-plot-" ~ loop.index,
                    no_plot_message="No correlation plot available for this file."))
            }}
            </div>
            {% endfor %}
        </div>
        <div class="row">
        {% for field_correlation in field_correlations %}
            <div class="col-12 col-md-6">
                {{
                    card(
                        title="Field Correlation",
                        content=plot_div(field_correlation,
                        "field-correlation-plot-" ~ loop.index))
                }}
            </div>
        {% endfor %}
        </div>
    </div>
    <div id="field-overview">
        {{ heading("Field Overview for "~file_path) }}
        {% for field_name, field_data in field_descriptions.items() %}
        {{ field_card(field_name, field_data, field_plots[field_name]) }}
        {% endfor %}
        {% endblock %}

</div>
